| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Neural::MapDataDefinitionDto Class Reference

Inheritance diagram for IG::Neural::MapDataDefinitionDto:
[legend]
Collaboration diagram for IG::Neural::MapDataDefinitionDto:
[legend]

List of all members.

## Public Member Functions
| MapDataDefinitionDto ()
override MappingDefinition | CreateObject ()
## Public Attributes
MapImputElementDefinitionDto[] | Input = null
MapOutputElementDefinitionDto[] | Output = null
int | InputLength = 10
int | OutputLength = 10
bool | CheckInputUniqueness = false
bool | CheckOutputUniqueness = false
bool | CheckInputNameConsistency = false
bool | CheckOutputNameConsistency = false
## Protected Member Functions
override void | CopyFromPlain (MappingDefinition obj)
override void | CopyToPlain (ref MappingDefinition obj)

## Constructor & Destructor Documentation

IG::Neural::MapDataDefinitionDto::MapDataDefinitionDto | ( |  | ) | `[inline]`

## Member Function Documentation

override MappingDefinition IG::Neural::MapDataDefinitionDto::CreateObject | ( |  | ) | `[inline]`

override void IG::Neural::MapDataDefinitionDto::CopyFromPlain | ( | MappingDefinition | obj | ) | `[inline, protected]`

override void IG::Neural::MapDataDefinitionDto::CopyToPlain | ( | ref MappingDefinition | obj | ) | `[inline, protected]`

## Member Data Documentation

MapImputElementDefinitionDto [] IG::Neural::MapDataDefinitionDto::Input = null

MapOutputElementDefinitionDto [] IG::Neural::MapDataDefinitionDto::Output = null

int IG::Neural::MapDataDefinitionDto::InputLength = 10

int IG::Neural::MapDataDefinitionDto::OutputLength = 10

bool IG::Neural::MapDataDefinitionDto::CheckInputUniqueness = false

bool IG::Neural::MapDataDefinitionDto::CheckOutputUniqueness = false

bool IG::Neural::MapDataDefinitionDto::CheckInputNameConsistency = false

bool IG::Neural::MapDataDefinitionDto::CheckOutputNameConsistency = false

The documentation for this class was generated from the following file:

- NeuralMapData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events